# Serialized Form

Package org.osgi.service.subsystem

Class org.osgi.service.subsystem.SubsystemException extends RuntimeException implements Serializable

serialVersionUID: 1L

Class org.osgi.service.subsystem.SubsystemPermission extends BasicPermission implements Serializable

serialVersionUID: 307051004521261705L

Serialization Methods

### readObject

    private void readObject(ObjectInputStream s)
                     throws IOException,
                            ClassNotFoundException

  readObject is called to restore the state of this permission from a stream.

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeObject

    private void writeObject(ObjectOutputStream s)
                      throws IOException

  WriteObject is called to save the state of this permission object to a stream. The actions are serialized, and the superclass takes care of the name.

  Throws:
    `IOException`

Serialized Fields

### actions

    String actions

  The actions in canonical form.

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.